Subject: bug#22083: 25.0.50; hg: adding tag enhances the rev, modeline does not reflect

From: Andy Moreton <[email-masked]>
Date: Sat, 05 Dec 2015 12:24:17 +0000

On Sat 05 Dec 2015, Dmitry Gutov wrote:

> On 12/04/2015 02:02 PM, Uwe Brauer wrote:
>
>> Ok I try to explain again what I find confusing:
>>
>> Here is what I did
>>
>> Command line
>> hg init
>> create and add file test.tex
>> change comit 3 times
>>
>> hg log --template '{rev} {latesttag}.{latesttagdistance} {desc} {files}\n'
>> 2 null.3 Com3 test.tex
>> 1 null.2 Com2 test.tex
>> 0 null.1 Com1 test.tex
>> hg tag -r 2 v1
>> hg log --template '{rev} {latesttag}.{latesttagdistance} {desc} {files}\n'
>> 3 v1.1 Added tag v1 for changeset 649afdff7ebe .hgtags
>> 2 v1.0 Com3 test.tex
>> 1 null.2 Com2 test.tex
>> 0 null.1 Com1 test.tex
>
> Tagging a revision adds a new revision? That looks odd.

That is normal - mercurial stores tags in a plain text file .hgtags at
the root of the repo, which is versioned the same way as any other file.

This means that adding a tag is effectively the same as editing
.hgtags and committing the change.

>> hg kwexpand
>> in the file
>>
>> $Id: test.tex,v v1.0[Hg:2] 2015/12/03 15:15:15 oub Exp oub $
>>
>> change and commit in Emacs
>>
>> \rcsInfo $Id: test.tex,v v1.2[Hg:4] 2015/12/03 15:19:49 oub Exp oub $
>>
>> so there is now a jump from Hg2 to Hg:4 which is annoying.
>
> I wonder what's going on there.

This is how Mercurial works, so is expected.

    AndyM